Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/26/2020 in all areas

  1. I've never run across a legal to use professional application that will allow more than one person to edit a file at any one time. To do otherwise is inviting disaster. If more than one person absolutely has to work on the same drawing simultaneously, save a copy under another name, then clipboard in the changes to the original later in a controlled agreed method.
    1 point
  2. Is the answer in the formula for a helix ? The 3 points would be a 1-2 1st helix plus 1 2nd helix, then opposite 1-2 2nd helix plus 1 1st helix, 3d lines or can be pface as triangles are a face. "Helix" is a solids inbuilt command or are you fabricating from lots of pieces. used divide on a helix so can get "point"'.
    1 point
  3. You can use some math and lisp features to get rid of a lot of lines in your code. For example, instead of drawing a line at 0.0 elevation and then move it to hig, you can just calculate p3 as (setq p3 (polar (list (car sp) (cadr sp) hig) nosangr (/ idimb 2))) Next, p4 will follow the same elevation. Back to your problem, I guess the easiest way for you to calculate p23 is using UCS. At the beginning, set sp as 3Dpoint, otherwise everything is calculated in xOy plan (distances, angles) and you need 3d points for your 3d problem. (setq sp (list 25.0 25.0 0.0)) Add the next code in the end of your routine, exactly between ".ucs" and ".zoom" (command ".ucs" "world") (setq p3 (list (car p3) (cadr p3) hig) p4 (list (car p4) (cadr p4) hig) ) (command ".ucs" "3p" p1 p4 p3) (setq a (angle '(0 0 0) (trans p3 0 1))) (command ".ucs" "world") (setq p23 (polar p21 (+ (angle p21 p24) a) (distance p1 p3))) (command ".line" p21 p23 p24 "") (command ".zoom" "all" )
    1 point
  4. Here is a example of plot pdf using a window it has hard coded window points but change them to your pt1 pt2 etc as per second example scale can be FIT. Removes need for VL etc. (COMMAND "-PLOT" "Y" "" "DWG To PDF" "Iso full bleed A3 (420.00 x 297.00 MM)" "m" "LANDSCAPE" "N" "W" "-6,-6" "807,560" "1=2" "C" "y" "Acad.ctb" "Y" "n" "n" "n" pdfName "N" "y" ) (COMMAND "-PLOT" "Y" "" "DWG To PDF" "Iso full bleed A3 (420.00 x 297.00 MM)" "m" "LANDSCAPE" "N" "W" pt1 pt2 "1=2" "C" "y" "Acad.ctb" "Y" "n" "n" "n" pdfName "N" "y" ) If as you say have a rectangle a pline then can use the vertices of the pline so just pick pline one pick, corners are vertice 1 and 3 This can be automated to plot all rectangles on a model layout say by layer. Read as multiple title blocks in model space.Yeah have code.
    1 point
  5. missed a hint? untested (trans p 0 2) (trans p 1 2) (trans p 2 3) (trans p 3 2) etc.. (apply 'vla-SetWindowToPlot (cons cplot (mapcar '(lambda (p) (vlax-2d-point (trans p 1 2))) (list p1 p2))) ) is debugging fun?
    1 point
  6. Quick glance and you are passing a variant to vlax-invoke which does not work ( not tested ) ;; Use this (vla-setwindowtoplot cplot (vlax-2d-point pt1) (vlax-2d-point pt2)) ;; Or this (vlax-invoke cplot 'setwindowtoplot (list (car pt1) (cadr pt1)) (list (car pt2) (cadr pt2)) ) Other issues too but have to run... (vla-put-centerplot cplot "1") ??
    1 point
  7. The LISP new line switch can be used in the CUI for making the text in buttons multiline. For example typing "User Interface" into the name box of the button/command will display the name on one line. Typing "User\nInterface" into the box will display the text like: See the attached image for further clarification.
    1 point
×
×
  • Create New...